PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType Struct Reference

Return same value in all points. More...

`#include <plask/provider/providerfor.hpp>`

Inheritance diagram for plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType:
[legend]
Collaboration diagram for plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType:
[legend]

## Public Types
typedef ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ProvidedType | ProvidedType
Public Types inherited from plask::ProviderFor< PropertyT, SpaceT >
typedef PropertyT | PropertyTag
typedef SpaceT | SpaceType

## Public Member Functions
template<typename ... Args>
| ConstProviderType (Args &&... params)
| Constructor which delegate all parameters to value constructor.
ProvidedType | operator() (shared_ptr< const MeshD< SpaceT::DIM > > dst_mesh, _ExtraParams..., InterpolationMethod) const override
Public Member Functions inherited from plask::ProviderFor< PropertyT, SpaceT >
| ProviderFor (Args &&... params)
| Delegate all constructors to parent class.

## Public Attributes
ValueType | value
| Provided value.

## Detailed Description

template<typename PropertyT, typename SpaceT, typename... _ExtraParams>
struct plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType

Return same value in all points.

Used by receivers as const value provider, see Receiver::setConstValue

It ignores extra parameters.

Definition at line 1234 of file providerfor.hpp.

## Member Typedef Documentation

## ◆ ProvidedType

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

typedef ProviderImpl<PropertyT,FIELD_PROPERTY,SpaceT,VariadicTemplateTypesHolder<_ExtraParams...>>::ProvidedType plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::ProvidedType

Definition at line 1236 of file providerfor.hpp.

## Constructor & Destructor Documentation

## ◆ ConstProviderType()

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>
template<typename ... Args>

plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::ConstProviderType | ( | Args &&... | params | ) |
| inline

Constructor which delegate all parameters to value constructor.

Parameters

  params | ValueT constructor parameters, forwarded to value

Definition at line 1248 of file providerfor.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

ProvidedType plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::operator() | ( | shared_ptr< const MeshD< SpaceT::DIM > > | dst_mesh,
|  | _ExtraParams... | ,
|  | InterpolationMethod |
| ) |  | const
| inline override

Returns
  copy of value for each point in dst_mesh, ignore interpolation method

Definition at line 1253 of file providerfor.hpp.

## Member Data Documentation

## ◆ value

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

ValueType plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::value

Provided value.

Definition at line 1239 of file providerfor.hpp.

The documentation for this struct was generated from the following file:

- plask/provider/providerfor.hpp